## Settings file was created by plugin Red Alert v3.0.12
## Plugin GUID: com.TheTimesweeper.RedAlert

[0-0. General]

## In case I forget to remove something
# Setting type: Boolean
# Default value: false
Debug Logs = false

## add black for the wife
## Default: False
## (restart required)
# Setting type: Boolean
# Default value: false
New Color (s?) = false

## Enables extra/wip content
## yes there's a minecraft skin
## Default: False
## (restart required)
# Setting type: Boolean
# Default value: false
Cursed = false

## key to play Rest emote
## Default: Alpha1
# Setting type: KeyboardShortcut
# Default value: Alpha1
Rest Key = Alpha1

## key to play voice lines from Red Alert 2
## Default: CapsLock
# Setting type: KeyboardShortcut
# Default value: CapsLock
Voice Line Key = CapsLock

## For the Red Alert 2 fans out there
## Default: False
# Setting type: Boolean
# Default value: false
Voice Line In Lobby = false

## Changes character icon to the unit icon from Red Alert 2
## Default: False
## (restart required)
# Setting type: Boolean
# Default value: false
red alert 2 icon = false

[0-1. Survivors]

## Set to false to disable this character and as much of its code and content as possible
## Default: True
## (restart required)
# Setting type: Boolean
# Default value: true
Enable Tesla Trooper = true

## Set to false to disable this character and as much of its code and content as possible
## Default: True
## (restart required)
# Setting type: Boolean
# Default value: true
Enable Desolator = true

## multiplayer ready and everything. just needs polish, and some maybe kit reworks. feedback welcome!
## Default: True
## (restart required)
# Setting type: Boolean
# Default value: true
Enable Chrono Legionnaire BETA = true

## all skills perfactly functional in multiplayer and everything, just needs visuals. reach out and give feedback!
## Default: False
## (restart required)
# Setting type: Boolean
# Default value: false
Enable GI ALPHA = false

## seriously just barely a proof of concept that probably won't even go anywhere for a long long time. but hey if you're curious
## Default: False
## (restart required)
# Setting type: Boolean
# Default value: false
Enable Conscript NOT EVEN ALPHA = false

## We're getting stupid now
# Setting type: Boolean
# Default value: false
MCV Test = false

[1-1. Tesla Trooper Body 0.1]

## levelMaxHealth will be adjusted accordingly (baseMaxHealth * 0.3)
## Default: 120
## (restart required)
# Setting type: Single
# Default value: 120
TeslaTrooperBody Base Max Health = 120

## levelRegen will be adjusted accordingly (baseRegen * 0.2)
## Default: 1
## (restart required)
# Setting type: Single
# Default value: 1
TeslaTrooperBody Base Regen = 1

## TeslaTrooperBody Armor
## Default: 5
## (restart required)
# Setting type: Single
# Default value: 5
TeslaTrooperBody Armor = 5

## pretty much all survivors are 12. If you want to change damage, change damage of the moves instead.
## levelDamage will be adjusted accordingly (baseDamage * 0.2)
## Default: 12
## (restart required)
# Setting type: Single
# Default value: 12
TeslaTrooperBody Base Damage = 12

## TeslaTrooperBody Jump Count
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
TeslaTrooperBody Jump Count = 1

## M2 BigZap cooldown
## Default: 5.5
## (restart required)
# Setting type: Single
# Default value: 5.5
M2 BigZap cooldown = 5.5

## M2 BigZap stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M2 BigZap stocks = 1

## M2 BigZapPunch cooldown
## Default: 6
## (restart required)
# Setting type: Single
# Default value: 6
M2 BigZapPunch cooldown = 6

## M2 BigZapPunch stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M2 BigZapPunch stocks = 1

## M3 Shield cooldown
## Default: 7
## (restart required)
# Setting type: Single
# Default value: 7
M3 Shield cooldown = 7

## M3 Shield stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M3 Shield stocks = 1

## M2 BlinkZap cooldown
## Default: 8
## (restart required)
# Setting type: Single
# Default value: 8
M2 BlinkZap cooldown = 8

## M2 BlinkZap stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M2 BlinkZap stocks = 1

## M4 Tower cooldown
## Default: 24
## (restart required)
# Setting type: Single
# Default value: 24
M4 Tower cooldown = 24

## M4 Tower stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M4 Tower stocks = 1

[1-1. Tesla Trooper Skills 0.1]

## Damage Multiplier added when you zap an ally
## Default: 1.1
# Setting type: Single
# Default value: 1.1
M1_Zap_ConductiveAllyBoost = 1.1

## How much damage (as a multiplier from 0 to 1) is completely blocked while charging up. If set to 0, no damage would be blocked.
## Note that this does not affect how much damage is reflected after the buff expires.
## People have felt that 100% damage absorption is too strong, but in practice anything lower is still very risky in ror2. I suggest trying other means of balancing if you still feel that way (duration, cooldown, etc)
## Default: 1
# Setting type: Single
# Default value: 1
M3_ChargingUp_DamageAbsorption = 1

## Removes the cap on how much damage you can retaliate with.
## If you want utility to be his main source of damage
## Default: False
# Setting type: Boolean
# Default value: false
M3_ChargingUp_Uncapped = false

## With additional towers, lysate cell is way too strong for a green item. Default is 1, but for proper balance I would suggest 0
## -1 for unlimited. have fun
## Default: 1
# Setting type: Int32
# Default value: 1
M4_Tower Lysate Cell Additional Tower Limit = 1

## Set false to disable tower item displays if you find them too silly
## Default: True
# Setting type: Boolean
# Default value: true
M4_Tower_ItemDisplays = true

## if false, tower simply targets nearby. If true, tower targets the enemy you're currently targeting.
## Would appreciate feedback on how this feels
## Default: False
# Setting type: Boolean
# Default value: false
M4_Tower Targets Reticle = false

[1-2. Desolator Body 0.0]

## levelMaxHealth will be adjusted accordingly (baseMaxHealth * 0.3)
## Default: 110
## (restart required)
# Setting type: Single
# Default value: 110
DesolatorBody Base Max Health = 110

## levelRegen will be adjusted accordingly (baseRegen * 0.2)
## Default: 1.5
## (restart required)
# Setting type: Single
# Default value: 1.5
DesolatorBody Base Regen = 1.5

## DesolatorBody Armor
## Default: 5
## (restart required)
# Setting type: Single
# Default value: 5
DesolatorBody Armor = 5

## pretty much all survivors are 12. If you want to change damage, change damage of the moves instead.
## levelDamage will be adjusted accordingly (baseDamage * 0.2)
## Default: 12
## (restart required)
# Setting type: Single
# Default value: 12
DesolatorBody Base Damage = 12

## DesolatorBody Jump Count
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
DesolatorBody Jump Count = 1

[1-3. Chrono Body 0.0]

## levelMaxHealth will be adjusted accordingly (baseMaxHealth * 0.3)
## Default: 130
## (restart required)
# Setting type: Single
# Default value: 130
RA2ChronoBody Base Max Health = 130

## levelRegen will be adjusted accordingly (baseRegen * 0.2)
## Default: 2
## (restart required)
# Setting type: Single
# Default value: 2
RA2ChronoBody Base Regen = 2

## RA2ChronoBody Armor
## Default: 10
## (restart required)
# Setting type: Single
# Default value: 10
RA2ChronoBody Armor = 10

## pretty much all survivors are 12. If you want to change damage, change damage of the moves instead.
## levelDamage will be adjusted accordingly (baseDamage * 0.2)
## Default: 12
## (restart required)
# Setting type: Single
# Default value: 12
RA2ChronoBody Base Damage = 12

## RA2ChronoBody Jump Count
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
RA2ChronoBody Jump Count = 1

## M2 Bomb cooldown
## Default: 6
## (restart required)
# Setting type: Single
# Default value: 6
M2 Bomb cooldown = 6

## M2 Bomb stocks
## Default: 2
## (restart required)
# Setting type: Int32
# Default value: 2
M2 Bomb stocks = 2

## M3 Chronosphere cooldown
## Default: 16
## (restart required)
# Setting type: Single
# Default value: 16
M3 Chronosphere cooldown = 16

## M3 Chronosphere stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M3 Chronosphere stocks = 1

## M3 Freezosphere cooldown
## Default: 13
## (restart required)
# Setting type: Single
# Default value: 13
M3 Freezosphere cooldown = 13

## M3 Freezosphere stocks
## Default: 1
## (restart required)
# Setting type: Int32
# Default value: 1
M3 Freezosphere stocks = 1

## M4 Deconstructing cooldown
## Default: 2
## (restart required)
# Setting type: Single
# Default value: 2
M4 Deconstructing cooldown = 2

## M4 Deconstructing stocks
## Default: 3
## (restart required)
# Setting type: Int32
# Default value: 3
M4 Deconstructing stocks = 3

[1-3. Chrono Skills 0.0]

## when disabled from sprint teleport, 1 means you are never actionable. 0.5 means you are actionable halfway through the sprint disable. 0 means you are always actionableif you lower this, increase DistTimeMulti
## Default: 1
# Setting type: Single
# Default value: 1
debug_percentTimeUntilActionable = 1

## adds ancient scepter upgrade to chrono's sprint teleport
## Default: True
## (restart required)
# Setting type: Boolean
# Default value: true
M0_SprintTeleport_Scepter = true

## Should sprinting teleport on release, or should it require a second press of sprint
## Default: True
# Setting type: Boolean
# Default value: true
M0_SprintTeleport_OnRelease = false

## speed multiplier for the projection sent out for teleporting to
## Default: 9
# Setting type: Single
# Default value: 9
M0_SprintTeleport_ProjectionSpeed = 9

## Phase out penalty multiplier based on distance teleported.
## Default: 0.169
# Setting type: Single
# Default value: 0.169
M0_SprintTeleport_DistTimeMulti = 0.169

## Phase out penalty multiplier based on time spent in teleporting state. Only comes into play after 1 second, and only replaces distance penalty if larger (does not add)
## Default: 0.5
# Setting type: Single
# Default value: 0.5
M0_SprintTeleport_TimeTimeMulti = 0.5

## M0_SprintTeleport_JumpMultiplier
## Default: 1.2
# Setting type: Single
# Default value: 1.2
M0_SprintTeleport_JumpMultiplier = 1.2

## M1_Shoot_Damage
## Default: 2
# Setting type: Single
# Default value: 2
M1_Shoot_Damage = 2

## M1_Shoot_Duration
## Default: 0.6
# Setting type: Single
# Default value: 0.6
M1_Shoot_Duration = 0.6

## M1_Shoot_Radius
## Default: 6
# Setting type: Single
# Default value: 6
M1_Shoot_Radius = 6

## M1Screenshake
## Default: 0.5
# Setting type: Single
# Default value: 0.5
M1Screenshake = 0.5

## M2_Bomb_Damage
## Default: 5
# Setting type: Single
# Default value: 5
M2_Bomb_Damage = 5

## M3_Chronosphere_Radius
## Default: 20
# Setting type: Single
# Default value: 20
M3_Chronosphere_Radius = 20

## M3_Chronosphere_Delay
## Default: 0.06
# Setting type: Single
# Default value: 0.06
M3_Chronosphere_Delay = 0.06

## M3ChronosphereCameraLerpTime
## Default: 0.5
# Setting type: Single
# Default value: 0.5
M3ChronosphereCameraLerpTime = 0.5

## projectile freeze radius requires restart
## Default: 30
# Setting type: Single
# Default value: 30
M3_Freezosphere_Radius = 30

## visuals require restart
## Default: 5
# Setting type: Single
# Default value: 5
M3_Freezosphere_FreezeDuration = 5

## M3_Freezosphere_CastDuration
## Default: 0.6
# Setting type: Single
# Default value: 0.6
M3_Freezosphere_CastDuration = 0.6

## M4_Deconstructing_TickInterval
## Default: 0.3
# Setting type: Single
# Default value: 0.3
M4_Deconstructing_TickInterval = 0.3

## M4_Deconstructing_Duration
## Default: 1
# Setting type: Single
# Default value: 1
M4_Deconstructing_Duration = 1

## M4_Deconstructing_TickDamage
## Default: 0.8
# Setting type: Single
# Default value: 0.8
M4_Deconstructing_TickDamage = 0.8

## M4_Deconstructing_ChronoStacksRequired
## Default: 100
# Setting type: Single
# Default value: 100
M4_Deconstructing_ChronoStacksRequired = 100

## M4_Deconstructing_Range
## Default: 40
# Setting type: Single
# Default value: 40
M4_Deconstructing_Range = 40

M0_JumpMultiplier = 1.5

